org.apache.lucene.search

## Class TermsFilter

- java.lang.Object
- - org.apache.lucene.search.Filter
  - - org.apache.lucene.search.TermsFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class TermsFilter
      extends org.apache.lucene.search.Filter

  Constructs a filter for docs matching any of the terms added to this class. Unlike a RangeFilter this can be used for filtering on multiple terms that are not necessarily in a sequence. An example might be a collection of primary keys from a database query result or perhaps a choice of "category" labels picked by the end user. As a filter, this is much faster than the equivalent query (a BooleanQuery with many "should" TermQueries)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermsFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTerm(org.apache.lucene.index.Term term)` Adds a term to the list of acceptable terms
    `java.util.BitSet` | `bits(org.apache.lucene.index.IndexReader reader)`
    `boolean` | `equals(java.lang.Object obj)`
    `org.apache.lucene.search.DocIdSet` | `getDocIdSet(org.apache.lucene.index.IndexReader reader)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TermsFilter

          public TermsFilter()

  - ### Method Detail

    - #### addTerm

          public void addTerm(org.apache.lucene.index.Term term)

      Adds a term to the list of acceptable terms
      Parameters:
        `term` -

    - #### bits

          public java.util.BitSet bits(org.apache.lucene.index.IndexReader reader)
                                throws java.io.IOException

      Overrides:
        `bits` in class `org.apache.lucene.search.Filter`
      Throws:
        `java.io.IOException`

    - #### getDocIdSet

          public org.apache.lucene.search.DocIdSet getDocIdSet(org.apache.lucene.index.IndexReader reader)
                                                        throws java.io.IOException

      Overrides:
        `getDocIdSet` in class `org.apache.lucene.search.Filter`
      Throws:
        `java.io.IOException`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.